#!/bin/bash
#
# Robocup 2011 sample start script for 3D soccer simulation
#
AGENT_BINARY="kylinsky"
BINARY_DIR="./"
NUM_PLAYERS=9

killall -9 "$AGENT_BINARY" &> /dev/null

export LD_LIBRARY_PATH=./lib/:/usr/local/lib/simspark/:$LD_LIBRARY_PATH:./simspark;

for ((i=1;i<=$NUM_PLAYERS;i++)); do
echo "Running agent No. $i"
#"$BINARY_DIR/$AGENT_BINARY" --host=$1 --Unum=$i > log/stdout$i 2> log/stderr$i &
"$BINARY_DIR/$AGENT_BINARY" --host=$1 --Unum=$i > /dev/null 2> /dev/null &
sleep 2
done
